[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#439836: marked as done (gdc-4.1: generates invalid assembler code)

Your message dated Sat, 01 Sep 2007 12:17:09 +0000
with message-id <E1IRRuX-00005a-1B@ries.debian.org>
and subject line Bug#439836: fixed in gdc-4.1 0.24-4.1.2-16
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Package: gdc-4.1
Version: 0.23-4.1.2-15
Severity: normal

gdc generates invalid assember code for the following fragment:

void foo (int i) {
  switch (i) {
    case 1: {
      static int x = 1;
    case 2: {
      static int x = 2; 

; gdc -c bug.d
/tmp/ccZr4AUJ.s: Assembler messages:
/tmp/ccZr4AUJ.s:13: Error: symbol `_D3bug3fooFiZv1xi' is already defined

You can work around it by giving the static variables different names.

Thanks for getting gdc in Debian.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.20-1-k7 (SMP w/1 CPU core)
Locale: LANG=nl_BE.UTF-8, LC_CTYPE=nl_BE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gdc-4.1 depends on:
ii  g++-4.1                 4.1.2-15         The GNU C++ compiler
ii  gcc-4.1-base            4.1.2-15         The GNU Compiler Collection (base 
ii  libc6                   2.6.1-1          GNU C Library: Shared libraries
ii  libgcc1                 1:4.2.1-4        GCC support library
ii  libstdc++6              4.2.1-4          The GNU Standard C++ Library v3
ii  zlib1g-dev              1: compression library - development

gdc-4.1 recommends no packages.

-- no debconf information

--- End Message ---
--- Begin Message ---
Source: gdc-4.1
Source-Version: 0.24-4.1.2-16

We believe that the bug you reported is fixed in the latest version of
gdc-4.1, which is due to be installed in the Debian FTP archive:

  to pool/main/g/gdc-4.1/gdc-4.1_0.24-4.1.2-16.diff.gz
  to pool/main/g/gdc-4.1/gdc-4.1_0.24-4.1.2-16.dsc
  to pool/main/g/gdc-4.1/gdc-4.1_0.24-4.1.2-16_i386.deb
  to pool/main/g/gdc-4.1/gdc-4.1_0.24-4.1.2-16_powerpc.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 439836@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Arthur Loiret <arthur.loiret@gmail.com> (supplier of updated gdc-4.1 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.7
Date: Sat, 01 Sep 2007 00:49:23 +0200
Source: gdc-4.1
Binary: gdc-4.1
Architecture: i386 powerpc source 
Version: 0.24-4.1.2-16
Distribution: unstable
Urgency: low
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Arthur Loiret <arthur.loiret@gmail.com>
 gdc-4.1    - The D compiler
Closes: 439836
 gdc-4.1 (0.24-4.1.2-16) unstable; urgency=low
   * Merge debian SVN from 4.1.2-16 upload
   [Arthur Loiret]
   * svn-gdc-updates.dpatch: Update to SVN 20070829. Closes: #439836
     - d-decls.cc (uniqueName): Allow multiple static declaration with the same
       name if in a function. (SF 1783085)
     - d-codegen.cc (call): Use CommaExp correctly. (Bugzilla 1443)
     - dmd/todt.c (createTsarrayDt): Don't take quadratic time to build the
       initializer. (Bugzilla 1440)
   [Matthias Klose]
   * gdc-4.1: Loosen dependency on g++-4.1.
 ed0a3ef74ea0e58246defc8610246215 1989 devel standard gdc-4.1_0.24-4.1.2-16.dsc
 6d593922a4148afb2c0b6c77d5559254 1448404 devel standard gdc-4.1_0.24-4.1.2-16.diff.gz
 a352cdd98348367958875519d5195f4c 1015662 devel standard gdc-4.1_0.24-4.1.2.orig.tar.gz
 a99dc7241bfdd5e4ad3d5b66e55d837b 3306964 devel standard gdc-4.1_0.24-4.1.2-16_i386.deb
 7b3edc9f508e22971f965fb5cb505782 3635440 devel standard gdc-4.1_0.24-4.1.2-16_powerpc.deb

Version: GnuPG v1.4.6 (GNU/Linux)


--- End Message ---

Reply to: